mouse		equ 33h			; Mouse driver int.

; Is it there ?

Init_Mouse:	MOV ah,35h		; Get int. vector
		MOV al,Mouse		; Vector number

		INT dos			; Get it (ES:BX)

		MOV ax,es		; Get it
		OR ax,bx		; Valid vector ?
		JZ NoMouse		; No, no driver code

		CMP byte ptr ES:[bx],0CFh ; Points at a RETI ?
		JZ NoMouse		; Not a valid routine

		; Assume there is a mouse driver present

		MOV ax,0		; Initialise the driver
		INT Mouse		;

		MOV al,1		; Present

NoMouse:	MOV CS:Mouse_Present,al	; Flag present

		RET			; Done

; Vars

Mouse_Present	db ?			; NZ = Present
