b		equ byte ptr		; Silly equs
w		equ word ptr		;
o		equ offset		;
s		equ short		;
f		equ far ptr		;

Black		equ 0			; Colours
Blue		equ 1			;
Green		equ 2			;
Cyan		equ 3			;
Red		equ 4			;
Magenta		equ 5			;
Yellow		equ 6			;
White		equ 7			;

B_Blue		equ 9			;
B_Green		equ 10			;
B_Cyan		equ 11			;
B_Red		equ 12			;
B_Magenta	equ 13			;
B_Yellow	equ 14			;
B_White		equ 15			;

dos		equ 21h			; MSDOS int
vdu		equ 10h			; Video int
kbd		equ 16h			; Kbd int

Set_Block	equ 4Ah
Allocate_Mem	equ 48h
Deallocate_Mem	equ 49h

Get_Time	equ 2Ch
Get_Date	equ 2Ah

OpenFile	equ 3Dh
CreateFile	equ 3Ch
CloseFile	equ 3Eh
ReadFromFile	equ 3Fh
WriteToFile	equ 40h
ModAttrs	equ 43h
GetVersion	equ 30h
DeleteFile	equ 41h
MovePointer	equ 42h

terminate	equ 4Ch
dos		equ 21h
display_char	equ 02h
dir_con_input	equ 07h
prt_stg		equ 09h
srch_fst	equ 0011h
srch_nxt	equ 0012h
set_dta		equ 001Ah

; Control chars

cEOF		equ 1Ah
cNull		equ 00h
cLiteral	equ 01h 

cUp		equ 02h
cDown		equ 03h
cRight		equ 04h
cLeft		equ 05h

		; 06

cBell		equ 07h
cDel		equ 08h
cTab		equ 09h
cLF		equ 0Ah

		; 0B

cCLS		equ 0Ch
cCret		equ 0Dh

cIns		equ 0Eh
cRem		equ 0Fh

cAttr0		equ 10h
cAttr1		equ 11h
cAttr2		equ 12h
cAttr3		equ 13h

cSetAttr	equ 14h			; Change attr
cInsMode	equ 15h			; Toggle ins mode
cSOL		equ 16h
cCur_Pos	equ 17h
cClear_Line	equ 18h
cHome		equ 19h
cClear_To_End	equ 1Ah
cEsc		equ 1Bh

		; 1C,1D,1E,1F

cCtrlDel	equ 7Fh			; Control BS

ciHome		equ 0F0h		; Returned codes
ciPgUp		equ 0F1h		;
ciEnd		equ 0F2h		;
ciPgDn		equ 0F3h		;

cicHome		equ 0F4h		; Returned codes
cicPgUp		equ 0F5h		;
cicEnd		equ 0F6h		;
cicPgDn		equ 0F7h		;

cisTab		equ 0F8h		; 

cicLeft		equ 0F9h		;
cicRight	equ 0FAh		;

dos		equ 21h			; MSDOS int

terminate	equ 4Ch

Int_Ctrl	equ 20H			; Command
Int_Data	equ 21H			; Data (Masks)

kZ		equ 2Ch			; Key scan codes
kX		equ 2Dh			;
kN		equ 31h			;
kM		equ 32h			;
kQ		equ 10h			;
kA		equ 1Eh			;
kI		equ 17h			;
kK		equ 25h			;
kH		equ 23h			;
kSpace		equ 39h			;
kShiftL		equ 2Ah			;
kShiftR		equ 36h			;
kF1		equ 3Bh			;
kF2		equ 3Ch			;
kF3		equ 3Dh			;
kF4		equ 3Eh			;
kF5		equ 3Fh			;
kF6		equ 40h			;
kF7		equ 41h			;
kF8		equ 42h			;
kF9		equ 43h			;
kF10		equ 44h			;
kF11		equ 57h			;
kF12		equ 58h			;
kEsc		equ 01h			;
kReturn		equ 1Ch			;
kTab		equ 0Fh			;
kScroll		equ 46h			;

kUA		equ 48h			; Up-arrow
kDA		equ 50h			; Down-arrow

Y_Cnt_640	equ 640			; Pixels across
Y_Step_640	equ Y_Cnt_640/8		; Bytes per line

Y_Cnt_320	equ 320			; Pixels across
Y_Step_320	equ 320			; Bytes per line
